<!-- <h1 *ngIf="authService.userData | async">Hello {{ (authService.userData | async)?.email }}</h1> -->
<div class="container mt-4">
  <div class="row">
    <div class="card card-body col-md-4 offset-4">
      <form action="" [formGroup]="form" (ngSubmit)="signUp()" autocomplete="off">
        <!-- <form action=""> -->
        <h3 class="text-center"><span class="signUp">Sign Up</span> </h3>
        <div class="form-group">
          <!-- <input type="email" name="email" placeholder="Enter email" class="form-control" formControlName="email" autofocus> -->
          <input type="text" [(ngModel)]="email" placeholder="Enter Email" class="form-control" formControlName="email" required>
          <div *ngIf = "f.email.touched && f.email.invalid" class="alert alert-danger">
            <div *ngIf = "f.email.errors.required">
              Email is required
            </div>

          </div>
        </div>
        <div class="form-group">
          <!-- <input type="password" name="password" placeholder="Enter password" class="form-control" formControlName="password" autofocus> -->
          <input type="password" [(ngModel)]="password" placeholder="Password" class="form-control" formControlName="password" required>
          <div *ngIf = "f.password.touched && f.password.invalid" class="alert alert-danger">
            <div *ngIf = "f.password.errors.required">
             confirm Password is required
            </div>

          </div>
        </div>
        <div class="form-group">
          <input type="password" name="cuserPwd" placeholder="Confirm Password" class="form-control" formControlName="cuserPwd" required>
          <div *ngIf="f.cuserPwd.touched && f.cuserPwd.invalid" class="alert alert-danger">
            <div *ngIf="f.cuserPwd.errors.required">Password is required</div>
            <div *ngIf=" f.cuserPwd.errors.confirmedValidator">Password and Confirm Password must be match.</div>
          </div>
        </div>
       <button type="submit" class="btn btn-info">SignUp</button>
       <a href="/forgot-password">Forgot Password?</a>
       <div class="redirectToLogin">
        <span id="account">Already have an account? <span class="pointer" routerLink="/login">Log In</span></span>
      </div>
      </form>
    
      <div class="clearfix"></div>
    </div>

  </div>

</div>

<!-- <h1 *ngIf="authService.userData | async">Hello {{ (authService.userData | async)?.email }}</h1>

<div *ngIf="!(authService.userData | async)">
    <input type="text" [(ngModel)]="email" placeholder="email">
    <input type="password" [(ngModel)]="password" placeholder="password">

    <button (click)="signUp()">Sign Up</button>

    <button (click)="signIn()">Login</button>
</div>

<button (click)="signOut()" *ngIf="authService.userData | async">Logout</button> -->

 <!-- <div class="container d-flex justify-content-center">
  <div class="row my-auto">
    <div class="col-md-6 col-md-offset-4 card card-body">
      <div class="form-body">
        <h3 class="text-center">SignUp</h3>
        <div id="" class="">
          <div class="innter-form">
            <form class="sa-innate-form" method="POST">
            
              
              <label>Email Address</label>
              <input type="email" name="email" #userEmail required>
              <label>Password</label>
              <input type="password" name="password" #userPwd required>
           
              <div class="formGroup">
                <input type="button" class="btn signUp float-center" value="Sign Up"
                  (click)="authService.SignUp(userEmail.value, userPwd.value)">
                <a href="/forgot-password">Forgot Password?</a>
              </div>

              <div class="redirectToLogin">
                <span>Already have an account? <span class="redirect" routerLink="/login">Log In</span></span>
              </div>
            </form>
          </div>
          <div class="social-login">
            <p>or</p>
            <ul>

              <li><a><i class="fa fa-facebook" (click)="authService.FacebookAuth()"></i> Facebook</a></li>
              <li><a><i class="fa fa-google-plus" (click)="authService.GoogleAuth()"></i> Google+</a></li>

            </ul>
          </div>
          <div class="clearfix"></div>
        </div>

      </div>
    </div>
  </div>

</div>  -->

<!-- 
<div class="displayTable">
    <div class="displayTableCell">
  
      <div class="authBlock">
        <h3>Sign Up</h3>
  
        <div class="formGroup">
          <input type="email" class="formControl" placeholder="Email Address" #userEmail required>
        </div>
  
        <div class="formGroup">
          <input type="password" class="formControl" placeholder="Password" #userPwd required>
        </div>
  
        <div class="formGroup">
          <input type="button" class="btn btnPrimary" value="Sign Up" (click)="authService.SignUp(userEmail.value, userPwd.value)">
        </div>
  
        <div class="formGroup">
          <span class="or"><span class="orInner">Or</span></span>
        </div>
  
        Continue with Google
        <div class="formGroup">
          <button type="button" class="btn googleBtn" (click)="authService.GoogleAuth()">
            <i class="fab fa-google-plus-g"></i>
            Continue with Google
          </button>
        </div>
  
        Continue with Facebook
        <div class="formGroup">
          <button type="button" class="btn facebookBtn" (click)="authService.FacebookAuth()">
            <i class="fab fa-facebook"></i>
            Continue with Facebook
          </button>
        </div>
      </div>
  
      <div class="redirectToLogin">
        <span>Already have an account? <span class="redirect" routerLink="/sign-in">Log In</span></span>
      </div>
    </div>
  
  </div> -->